org.bouncycastle.jce.provider

## Class JCEElGamalPublicKey

- java.lang.Object
- - org.bouncycastle.jce.provider.JCEElGamalPublicKey

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, java.security.PublicKey, javax.crypto.interfaces.DHKey, javax.crypto.interfaces.DHPublicKey, ElGamalKey, ElGamalPublicKey

    public class JCEElGamalPublicKey
    extends java.lang.Object
    implements ElGamalPublicKey, javax.crypto.interfaces.DHPublicKey

See Also:
  Serialized Form

### Method Summary

Methods
`java.lang.String` `getAlgorithm()`
`byte[]` `getEncoded()`
`java.lang.String` `getFormat()`
`ElGamalParameterSpec` `getParameters()`
`javax.crypto.spec.DHParameterSpec` `getParams()`
`java.math.BigInteger` `getY()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAlgorithm

    public java.lang.String getAlgorithm()

Specified by:
  `getAlgorithm` in interface `java.security.Key`

#### getFormat

    public java.lang.String getFormat()

Specified by:
  `getFormat` in interface `java.security.Key`

#### getEncoded

    public byte[] getEncoded()

Specified by:
  `getEncoded` in interface `java.security.Key`

#### getParameters

    public ElGamalParameterSpec getParameters()

Specified by:
  `getParameters` in interface `ElGamalKey`

#### getParams

    public javax.crypto.spec.DHParameterSpec getParams()

Specified by:
  `getParams` in interface `javax.crypto.interfaces.DHKey`

#### getY

    public java.math.BigInteger getY()

Specified by:
  `getY` in interface `javax.crypto.interfaces.DHPublicKey`
Specified by:
  `getY` in interface `ElGamalPublicKey`